=== lib/optional/CMakeLists.txt ===

add_library(optional INTERFACE)

target_include_directories(optional SYSTEM INTERFACE "${CMAKE_CURRENT_SOURCE_DIR}/include")
