## freespace2 3.6.18+repack

=== debian/changelog ===
freespace2 (3.6.18+repack-1) unstable; urgency=low

  * Initial release (Closes: #709137).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 21 May 2013 15:19:37 +1000
