=== debian/control ===
Source: freespace2
Section: non-free/games
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
              ,antiword
              ,libjpeg-dev
              ,liblua5.1-0-dev
              ,libopenal-dev
              ,libpng-dev
              ,libsdl-dev
              ,libtheora-dev
              ,libvorbis-dev
              ,zlib1g-dev
# subversion is used in get-orig-source target only
# ,subversion ,subversion-tools
Standards-Version: 3.9.4
Homepage: http://scp.indiegames.us/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onlyjob/freespace2.git
Vcs-Git: git://anonscm.debian.org/users/onlyjob/freespace2.git

Package: freespace2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: freespace2-launcher
#           ,freespace2-mod-mediavps
#           ,freespace2-data-gog | freespace2-data-volition
Suggests: joystick
#        ,freespace2-video
Description: open source implementation of the Freespace 2 game engine
 FreeSpace is a series of space combat simulation games developed
 by Volition, Inc. and published by Interplay Entertainment.
 The games take place in the 24th century. Mankind, referred to as
 Terrans, has developed means for space traveling, further fueled
 by the discovery of subspace which makes interstellar travel not
 only possible but also fast and easy. As a result the Terrans have
 expanded their territory, eventually encountering another bipedal,
 sentient species; the Vasudans. However, due to cultural differences
 and difficulties in communicating with each other, the Galactic Terran
 Alliance (GTA) and the Parliamentary Vasudan Empire (PVE) end up fighting
 a war that lasts for 14 years.
 .
 Original game files from CD are needed to play this game.

#Package: freespace2-docs
#Architecture: all
#Depends: ${misc:Depends}, libjs-jquery
#Recommends: yelp
#Suggests: www-browser
#Section: doc
#Description: open source implementation of the Freespace 2 game engine -- Documentation for developers
# FreeSpace is a series of space combat simulation games developed
# by Volition, Inc. and published by Interplay Entertainment.
# The games take place in the 24th century. Mankind, referred to as
# Terrans, has developed means for space traveling, further fueled
# by the discovery of subspace which makes interstellar travel not
# only possible but also fast and easy. As a result the Terrans have
# expanded their territory, eventually encountering another bipedal,
# sentient species; the Vasudans. However, due to cultural differences
# and difficulties in communicating with each other, the Galactic Terran
# Alliance (GTA) and the Parliamentary Vasudan Empire (PVE) end up fighting
# a war that lasts for 14 years.
# .
# This package provides documentation for developers
