=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 $(info DEB_BUILD_MAINT_OPTIONS:$(origin DEB_BUILD_MAINT_OPTIONS)=$(DEB_BUILD_MAINT_OPTIONS))
 
 #LDFLAGS+= -Wl,--as-needed
-CONF_O=--bindir=/usr/games
+CONF_O=--bindir=/usr/games --disable-silent-rules --enable-speech
 
 %:
 	dh $@ --parallel --with autoreconf
