## freespace2 3.7.0+repack

=== debian/changelog ===
freespace2 (3.7.0+repack-1) unstable; urgency=low

  * New upstream release.
  * Verbose build using "--disable-silent-rules"
  * New build option: "--enable-speech".
  * Removed word "source" from description, thanks Simon McVittie.
  * Added "vrms" and "dpkg-dev" to Suggests.
  * Added source package templates for game data packages
    + build instructions to "README.Debian".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Sep 2013 11:48:58 +1000
