=== debian/packages/freespace2-mod-fsport/debian/changelog ===
freespace2-mod-fsport (3.4-1) unstable; urgency=low

  * New upstream release [April 2013].

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 22 May 2013 04:46:52 +1000

freespace2-mod-fsport (3.3-1) unstable; urgency=low

  * New upstream release [June 2011].

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 27 Dec 2012 00:45:25 +1100
