=== debian/control ===
--- 
+++ 
@@ -26,8 +26,9 @@
 #           ,freespace2-mod-mediavps
 #           ,freespace2-data-gog | freespace2-data-volition
 Suggests: joystick
-#        ,freespace2-video
-Description: open source implementation of the Freespace 2 game engine
+         ,vrms
+         ,dpkg-dev
+Description: open implementation of the Freespace 2 game engine
  FreeSpace is a series of space combat simulation games developed
  by Volition, Inc. and published by Interplay Entertainment.
  The games take place in the 24th century. Mankind, referred to as
@@ -48,7 +49,7 @@
 #Recommends: yelp
 #Suggests: www-browser
 #Section: doc
-#Description: open source implementation of the Freespace 2 game engine -- Documentation for developers
+#Description: open implementation of the Freespace 2 game engine -- Documentation for developers
 # FreeSpace is a series of space combat simulation games developed
 # by Volition, Inc. and published by Interplay Entertainment.
 # The games take place in the 24th century. Mankind, referred to as
