=== debian/packages/freespace2-data-gog/debian/control ===
Source: freespace2-data-gog
Section: non-free/games
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 9)
              ,innoextract (>= 1.3)
Standards-Version: 3.9.4
Homepage: http://www.gog.com/gamecard/freespace_2

Package: freespace2-data-gog
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: freespace2
Suggests: freespace2-video
         ,vrms
Breaks: freespace2-data-volition
Replaces: freespace2-data-volition
Description: FreeSpace2 - original media files by Volition Inc
 FreeSpace 2 is a 1999 space combat simulation computer game developed
 by Volition, Inc. as the sequel to Descent: FreeSpace – The Great
 War.
 The games take place in the 24th century. Mankind, referred to as
 Terrans, has developed means for space traveling, further fueled
 by the discovery of subspace which makes interstellar travel not
 only possible but also fast and easy. As a result the Terrans have
 expanded their territory, eventually encountering another bipedal,
 sentient species; the Vasudans. However, due to cultural differences
 and difficulties in communicating with each other, the Galactic Terran
 Alliance (GTA) and the Parliamentary Vasudan Empire (PVE) end up fighting
 a war that lasts for 14 years.
 .
 This package provides original game data files from CD that are needed
 to play this game.
