## freespace2 3.7.2%2Brepack

=== debian/packages/freespace2-data-gog/debian/watch ===
# uscan(1)
## You need to get *.vp files from original FreeSpace2 CDs.

version=3
