## freespace2 3.7.2+repack

=== debian/changelog ===
freespace2 (3.7.2+repack-1build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:06:10 +0000

freespace2 (3.7.2+repack-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Build-Depends: += "libjansson-dev".
  * Dropped obsolete patches.
  * get-orig-source: drop "jansson" and "STLport-5.2.1" from orig.tar.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 27 Apr 2015 18:45:06 +1000

freespace2 (3.7.0+repack-2) unstable; urgency=medium

  * Re-build with "libjpeg-turbo" (Closes: #766205).
  * New "automake-subdir-objects.patch" to fix build-time warnings.
  * New "build.patch" to fix FTBFS on amd64.
  * Standards-Version: 3.9.6

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 29 Oct 2014 09:20:04 +1100
