=== debian/packages/freespace2-data-gog/debian/changelog ===
freespace2-data-gog (1999-1) unstable; urgency=low

  * Initial release.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 27 Dec 2012 00:45:25 +1100
