=== debian/packages/freespace2-mod-mediavps/debian/changelog ===
freespace2-mod-mediavps (3.6.12+upd201012-1) unstable; urgency=low

  * Initial release.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 27 Dec 2012 00:45:25 +1100
