=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf
               ,antiword
+              ,libjansson-dev
               ,libjpeg-dev
               ,liblua5.1-0-dev
               ,libopenal-dev
@@ -14,7 +15,7 @@
               ,zlib1g-dev
 # subversion is used in get-orig-source target only
 # ,subversion ,subversion-tools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://scp.indiegames.us/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onlyjob/freespace2.git
 Vcs-Git: git://anonscm.debian.org/users/onlyjob/freespace2.git
