=== debian/rules ===
--- 
+++ 
@@ -90,6 +90,8 @@
             projects \
             speech \
             zlib \
+            jansson \
+            STLport-5.2.1 \
             code/directx \
             code/mm \
             code/globalincs/msvc \
