## freespace2 3.7.4%2Brepack

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: freespace2
 Section: non-free/games
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
-              ,antiword
-              ,libjansson-dev
-              ,libjpeg-dev
-              ,liblua5.1-0-dev
-              ,libopenal-dev
-              ,libpng-dev
-              ,libsdl-dev
-              ,libtheora-dev
-              ,libvorbis-dev
-              ,zlib1g-dev
-# subversion is used in get-orig-source target only
-# ,subversion ,subversion-tools
-Standards-Version: 3.9.6
+Standards-Version: 4.1.5
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends: debhelper (>= 11~)
+    ,antiword
+    ,libjansson-dev
+    ,libjpeg-dev
+    ,liblua5.1-0-dev
+    ,libopenal-dev
+    ,libpng-dev
+    ,libsdl-dev
+    ,libtheora-dev
+    ,libvorbis-dev
+    ,zlib1g-dev
 Homepage: http://scp.indiegames.us/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onlyjob/freespace2.git
-Vcs-Git: git://anonscm.debian.org/users/onlyjob/freespace2.git
+Vcs-Browser: https://salsa.debian.org/onlyjob/freespace2
+Vcs-Git: https://salsa.debian.org/onlyjob/freespace2.git
 
 Package: freespace2
 Architecture: any
