## freespace2 3.7.4+repack

=== debian/changelog ===
freespace2 (3.7.4+repack-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove -march=native usage. (Closes: #946308)

 -- Adrian Bunk <bunk@debian.org>  Tue, 16 Jun 2020 16:22:34 +0300

freespace2 (3.7.4+repack-1) unstable; urgency=medium

  * New upstream release [July 2016].
  * rules:
    + corrected version parsing to fix binNMUs (Closes: #832128).
    - removed calls to `dpkg-parsechangelog`.
    - removed "get-orig-source" target.
  * watch:
    + converted to version 4.
    + catch-all source releases from GitHub.
    - commented "scp.fsmods.net" which is currently offline.
  * README.Debian: mentioned "freespace2-launcher-wxlauncher".
  * debhelper & compat to version 11.
  * Standards-Version: 4.1.5.
  * Added "bug-presubj" file.
  * Vcs URLs to Salsa.

  * freespace2-data-gog:
    + Verify extracted files, not the archive (Closes: #743067).

  * freespace2-mod-mediavps:
    + updated to v2014; updated download URL.

  * freespace2-mod-fsport:
    + new release 3.5; updated download URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 12 Jul 2018 18:57:59 +1000
