=== debian/packages/freespace2-mod-fsport/debian/changelog ===
freespace2-mod-fsport (3.5-1) UNRELEASED; urgency=medium

  * New upstream release [February 2015].
  * Download URL updated for new mirror.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Jul 2016 07:18:51 +1000
