=== debian/packages/freespace2-mod-mediavps/debian/changelog ===
freespace2-mod-mediavps (3.6.12+upd201401-2) UNRELEASED; urgency=medium

  * rules: update download URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 12 Jul 2018 14:39:35 +1000

freespace2-mod-mediavps (3.6.12+upd201401-1) unstable; urgency=low

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 08 Aug 2016 01:33:18 +1000
