=== debian/packages/freespace2-mod-mediavps/debian/rules ===
--- 
+++ 
@@ -22,30 +22,22 @@
 	@echo "## checking integrity..."
 	sha1sum --strict --check debian/files_sha1.txt
 
-DD=$(CURDIR)/debian/$(PKG)/usr/share/games/freespace2-open/mediavps_3612
+DD=$(CURDIR)/debian/$(PKG)/usr/share/games/freespace2-open/MediaVPs_2014
 override_dh_auto_install:
 	[ -d "$(DD)" ] || mkdir -v -p "$(DD)"
-	for F in *.zip; do unzip -j "$$F" -d "$(DD)" ;done
+#	for F in *.7z; do unzip -j "$$F" -d "$(DD)" ;done
+	for F in *.7z; do 7za e -y -bd -o$(DD)/ "$$F" ;done
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz -z4
 
+# http://www.hard-light.net/forums/index.php?topic=86475.0
 get-orig-source:
 	sha1sum --strict --check debian/files_sha1.txt \
 	|| wget --tries=3 --timeout=60 --read-timeout=60 --continue --timestamping \
             --recursive --level=0 --convert-links --relative --no-directories \
-            --accept=.zip "http://www.mvp.fsmods.net/3612/"
+            --accept=.7z "http://datacorder.porphyrion.feralhosting.com/mvp_files/2014/"
 	@echo "## generating checksums..."
-	sha1sum --binary *.zip *.7z | tee debian/files_sha1.txt~NEW
+	sha1sum --binary *.7z | tee debian/files_sha1.txt~NEW
 	diff -U0 debian/files_sha1.txt debian/files_sha1.txt~NEW \
         && $(RM) debian/files_sha1.txt~NEW
-
-# see http://www.hard-light.net/forums/index.php?topic=70736.0
-# MV_Maximum_3612.7z contains
-#			MediaVPs_3612.zip
-#			MV_Advanced_3612.zip
-#			MV_AnimGlows_3612.zip
-#			MV_Assets_3612.zip
-#			MV_Effects_3612.zip
-#			MV_Music_3612.zip
-#			MV_Root_3612.zip
