=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

VER  ?= $(shell sh -c 'printf "$${1%%+repack*}"' -- "$(DEB_VERSION_UPSTREAM)")
$(info VER=$(VER))

$(info DEB_BUILD_OPTIONS:$(origin DEB_BUILD_OPTIONS)=$(DEB_BUILD_OPTIONS))

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
$(info DEB_BUILD_MAINT_OPTIONS:$(origin DEB_BUILD_MAINT_OPTIONS)=$(DEB_BUILD_MAINT_OPTIONS))

#LDFLAGS+= -Wl,--as-needed
CONF_O=--bindir=/usr/games --disable-silent-rules --enable-speech --enable-generic-architecture

%:
	dh $@

README:
	antiword FS2OpenSCPReadMe.doc > $@

override_dh_autoreconf: README
	#[ ! -x "./autogen.sh" ] || ./autogen.sh
	dh_autoreconf -v --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(CONF_O)

override_dh_auto_build:
	dh_auto_build
	## building developer's documentation
	#doxygen fs2open.Doxyfile

override_dh_auto_install:
	dh_auto_install
	# --destdir=$(CURDIR)/debian/tmp
	## building DEBUG executable
	dh_auto_clean
	dh_auto_configure -- $(CONF_O) --enable-debug
	dh_auto_install

override_dh_link:
	dh_link \
            /usr/games/fs2_open_$(VER)         /usr/games/fs2_open \
            /usr/games/fs2_open_$(VER)_DEBUG   /usr/games/fs2_open_DEBUG \
            /usr/games/fs2_open                /usr/share/games/freespace2-open/fs2_open \
            /usr/games/fs2_open_DEBUG          /usr/share/games/freespace2-open/fs2_open_DEBUG \
            /usr/games/fs2_open_$(VER)         /usr/share/games/freespace2-open/fs2_open_$(VER) \
            /usr/games/fs2_open_$(VER)_DEBUG   /usr/share/games/freespace2-open/fs2_open_$(VER)_DEBUG \
            /usr/share/man/man6/fs2_open.6.gz  /usr/share/man/man6/fs2_open_DEBUG.6.gz \
            /usr/share/man/man6/fs2_open.6.gz  /usr/share/man/man6/fs2_open_$(VER).6.gz \
            /usr/share/man/man6/fs2_open.6.gz  /usr/share/man/man6/fs2_open_$(VER)_DEBUG.6.gz
