=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+repack,\
dversionmangle=s/\+repack\d*//,\
uversionmangle=s/_RC/~rc/;s/_/./g,\
" https://uscan.tianon.xyz/github.com/scp-fs2open/fs2open.github.com \
  .*/archive/(?:release_|fs2_open_)(\d[\d._RC]+)(?:_final)?\.(?:tgz|tbz2|tar\.gz|tar\.bz2|tar\.xz)


## 3.8.0
#opts="\
#pgpmode=none,\
#mode=git,gitmode=shallow,\
#repack,compression=xz,repacksuffix=+repack,\
#dversionmangle=s/\+repack\d*//,\
#uversionmangle=s/_RC/~rc/;s/_/./g,\
#" https://github.com/scp-fs2open/fs2open.github.com.git \
#  refs/tags/(?:release_|fs2_open_)?(\d[\d\._]+)


#opts="\
#uversionmangle=s/_RC/~rc/;s/_/./g,\
#dversionmangle=s/\+repack//,\
#" http://scp.fsmods.net/builds/fs2_open_([\d._RC]+)_src\.(?:tgz|tbz2|tar\.gz|tar\.bz2|tar\.xz)
