## freespace2 24.0.2%2Brepack

=== debian/changelog ===
freespace2 (24.0.2+repack-1) unstable; urgency=medium

  [ Sébastien Noel ]
  * New upstream release.
    + use SDL2 (Closes: #1038352, #1012232).
  * Added upstream metadata.
  * debhelper & compat to version 13
  * d/watch: update to fetch multiple components.
  * Recommends += "freespace2-data | game-data-packager".
  * Added myself as Uploader.

  [ Thiago Jung Bauermann ]
  * Update URL for freespace2-video zip file (Closes: #969737).
  * freespace2-data-gog: updated for new GOG installer (Closes: #969735)

  [ Dmitry Smirnov ]
  * vrms --> check-dfsg-status
  * Corrections to new upstream release packaging.
    + Build with "libopenxr-dev".
  * Moved repository to Debian Games team on Salsa.
  * Updated upstream bug tracker URL in bug-presubj.
  * Updated "freespace2-mod-fsport" packaging.
  * Updated "freespace2-mod-mediavps" data sub-package.
  * watch: modernised for GitHub API; fixed pagination.

  * Thanks to Simon McVittie for help with libSDL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 09 Aug 2024 01:42:09 +1000
