=== debian/packages/freespace2-video/debian/control ===
Source: freespace2-video
Section: non-free/games
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 9)
              ,diffutils
              ,dpkg-dev
              ,unzip
              ,wget
Standards-Version: 3.9.4
Homepage: http://www.hard-light.net/wiki/index.php/Installing_fs2_open

Package: freespace2-video
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: freespace2
Suggests: check-dfsg-status
Enhances: freespace2
Description: FreeSpace 2 - cutscenes in OGG format
 Original OGG-encoded Freespace 2 cutscenes.
 .
 Note that these are replacement for the retail Freespace 2 videos.
 .
 FreeSpace 2 is a 1999 space combat simulation computer game developed
 by Volition, Inc. as the sequel to Descent: FreeSpace – The Great
 War.
 The games take place in the 24th century. Mankind, referred to as
 Terrans, has developed means for space traveling, further fueled
 by the discovery of subspace which makes interstellar travel not
 only possible but also fast and easy. As a result the Terrans have
 expanded their territory, eventually encountering another bipedal,
 sentient species; the Vasudans. However, due to cultural differences
 and difficulties in communicating with each other, the Galactic Terran
 Alliance (GTA) and the Parliamentary Vasudan Empire (PVE) end up fighting
 a war that lasts for 14 years.
