## freespace2 24.0.2+repack

=== debian/packages/freespace2-data-gog/debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
 Build-Depends: debhelper (>= 9)
               ,innoextract (>= 1.3)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: http://www.gog.com/gamecard/freespace_2
 
 Package: freespace2-data-gog
@@ -13,7 +13,7 @@
 Depends: ${misc:Depends}
 Recommends: freespace2
 Suggests: freespace2-video
-         ,vrms
+         ,check-dfsg-status
 Breaks: freespace2-data-volition
 Replaces: freespace2-data-volition
 Description: FreeSpace2 - original media files by Volition Inc
