=== debian/packages/freespace2-mod-fsport/debian/watch ===
# uscan(1) configuration file.
# Use "debian/rules get-orig-source"

version=4

## `uscan` do not support 7z archives yet: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=852429
#opts="\
#uversionmangle=s/(\d+)_(\d+)/$1.$2/,\
#" http://datacorder.perses.feralhosting.com/fsport_files/releases/fsport(\d_[0-9_]+)\.(?:7z|@ARCHIVE_EXT@) \
#  debian
